from __future__ import annotations
from typing import Any

from agentkit.context import ConversationContext


class BaseAgent:
    def __init__(self, config: dict[str, Any]):
        self.config = config
    
    async def __aenter__(self) -> BaseAgent:
        return self
    
    async def __aexit__(self, exc_type: Any, exc_val: Any, exc_tb: Any) -> None:
        return None

    async def count_tokens(self, text: str) -> int:
        return len(text.split())
    
    async def chat_complete(self, context: ConversationContext, stream: bool = False):
        pass