from __future__ import annotations
from typing import Any

from agentkit.base.agent import BaseAgent


class BaseAgentFactory:
    def __init__(self, props: dict):
        pass


    async def __aenter__(self) -> BaseAgentFactory:
        return self
    

    async def __aexit__(self, exc_type: Any, exc_val: Any, exc_tb: Any) -> None:
        return None
    

    async def new_from_id(self, agent_id: str) -> BaseAgent | None:
        """
        Create agent from agent id.
        """
        return None
    

    async def new_from_config(self, agent_type: str, config: dict) -> BaseAgent | None:
        """
        Create agent from agent type and config.
        """
        return None