from __future__ import annotations
from typing import Optional
from agentkit.context import ConversationContext
from agentkit.types import PluginConfigParam, OnProgressCallback

class AgentKitPreprocessor:
    CONFIG: list[PluginConfigParam] = []
    INPUT: list[PluginConfigParam] = []
    OUTPUT: list[PluginConfigParam] = []

    def __init__(self, props: dict, **kwargs):
        pass

    async def __aenter__(self):
        return self
    
    async def __aexit__(self, exc_type, exc_val, exc_tb):
        return None

    async def on_create_conversation(self, on_progress: Optional[OnProgressCallback] = None) -> None:
        return None

    async def on_open_conversation(self, on_progress: Optional[OnProgressCallback] = None) -> None:
        return None

    async def on_before_completion(self, context: ConversationContext, **kwargs) -> Optional[dict]:
        return None