from aiohttp import web
from utils.server import register_server_module

import init.service.mw_api as _  # Init mediawiki api
import init.service.database as _  # Init database
import init.service.tiktoken as _  # Init tiktoken

import init.server.toolbox_ui as _  # Init toolbox ui
import init.server.embedding_search as _  # Init embedding search

# Auto create database tables
from server.model.chat_complete.conversation import ConversationChunkModel as _
from server.model.chat_complete.bot_persona import BotPersonaModel as _

# Route
from server.route.chat_complete import register_route

def init(app: web.Application):
    register_route(app)

register_server_module("chat_complete", init)