from aiohttp import web
from utils.server import register_server_module

import init.service.database as _  # Init database
import init.service.tiktoken as _  # Init tiktoken

# Auto create database tables
from server.model.embedding_search.title_collection import TitleCollectionModel as _
from server.model.embedding_search.title_index import TitleIndexModel as _

# Route
from server.route.embedding_search import register_route

def init(app: web.Application):
    register_route(app)

register_server_module("embedding_search", init)