from aiohttp import web
from utils.server import register_server_module

from service.tiktoken import TikTokenService


async def init_tiktoken(app: web.Application):
    await TikTokenService.create()
    print("Tiktoken model loaded.")


def init(app: web.Application):
    app.on_startup.append(init_tiktoken)


register_server_module("tiktoken", init)
