from aiohttp import web

from server.controller.ToolboxIndex import ToolboxIndex

def register_route(app: web.Application):
    app.router.add_routes([
        web.route('*', '/title/info', ToolboxIndex.update_title_info),
        web.route('*', '/title/search', ToolboxIndex.search_title),
        web.route('*', '/user/info', ToolboxIndex.get_user_info),
        web.route('*', '/conversation/list', ToolboxIndex.get_conversation_list),
        web.route('*', '/conversation/info', ToolboxIndex.get_conversation_info),
        web.route('POST', '/conversation/remove', ToolboxIndex.remove_conversation),
        web.route('DELETE', '/conversation/remove', ToolboxIndex.remove_conversation),
        web.route('POST', '/conversation/set_pinned', ToolboxIndex.set_conversation_pinned),
        web.route('POST', '/conversation/set_title', ToolboxIndex.set_conversation_title),
    ])