from __future__ import annotations
from typing_extensions import TypedDict


class ChatCompleteQuestionTooLongException(Exception):
    def __init__(self, tokens_limit: int, tokens_current: int):
        super().__init__(f"Question too long: {tokens_current} > {tokens_limit}")
        self.tokens_limit = tokens_limit
        self.tokens_current = tokens_current

class ChatCompleteServicePrepareResponse(TypedDict):
    extract_doc: list
    question_tokens: int
    conversation_id: int
    chunk_id: int
    api_id: str

class ChatCompleteServiceResponse(TypedDict):
    message: str
    message_tokens: int
    total_tokens: int
    finish_reason: str
    question_message_id: str
    response_message_id: str
    delta_data: dict